> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ibee.co.in/docs/api-reference/gpu-vms/reschedule-gpu-vm-backup/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/_mcp/server. # Reschedule a GPU VM backup PATCH https://api.ibee.co.in/v1/compute/gpu-vms/{vm_id}/backups/policy/next-run-at Content-Type: application/json Sets the next automated backup execution time. Requires scope: vm.write. Reference: https://docs.ibee.co.in/docs/api-reference/gpu-vms/reschedule-gpu-vm-backup ## Authentication - `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment. ## Servers - `https://api.ibee.co.in/v1` (Production, default) - `https://api.ibee.co.in/v1` (Development) ## Request ### Path parameters - `vm_id` (string, required) — Virtual machine ID. ### Query parameters - `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected. ### Body (application/json) This endpoint expects a BackupPolicyNextRunRequest. - `next_run_at` (datetime, required) - `requested_by` (string, optional, default: api) ## Response ### 200 Next backup execution rescheduled successfully. - `organization_id` (string, required) - `workspace_id` (string, required) - `policy_id` (string, required) - `vm_id` (string, required) - `enabled` (boolean, required) - `schedule` (BackupPolicySchedule, required) - `retention_days` (integer, required) - `full_backup_interval_days` (integer, required) - `incremental_enabled` (boolean, required) - `storage_backend` (string, required) - `created_at` (datetime, required) - `updated_at` (datetime, required) - `organization_name` (string, optional, nullable) - `workspace_name` (string, optional, nullable) - `vm_name` (string, optional, nullable) - `os_type` (string, optional, nullable) - `os_distro` (string, optional, nullable) - `template_id` (string, optional, nullable) - `next_run_at` (datetime, optional, nullable) - `last_run_at` (datetime, optional, nullable) - `last_status` (enum, optional) - Allowed values: `queued`, `running`, `succeeded`, `failed`, `cancelled` ## Errors ### 400 Bad Request Error The request is invalid. - `detail` (ErrorDetail, optional) ### 401 Unauthorized Error The API token is missing or invalid. - `detail` (ErrorDetail, optional) ### 403 Forbidden Error The token is not allowed to access the workspace or does not have the required scope. - `detail` (ErrorDetail, optional) ### 404 Not Found Error The requested resource was not found. - `detail` (ErrorDetail, optional) ## Types ### BackupPolicySchedule - `frequency` (enum, optional) - Allowed values: `hourly`, `daily`, `weekly` - `timezone` (string, optional, default: UTC) - `hour` (integer, optional, default: 20) - `minute` (integer, optional, default: 0) - `day_of_week` (integer, optional, nullable) - `window_minutes` (integer, optional, default: 30) ### ErrorDetail ## Examples **Request** ```json { "next_run_at": "2024-01-15T09:30:00Z" } ``` **Response** ```json { "organization_id": "string", "workspace_id": "string", "policy_id": "string", "vm_id": "string", "enabled": true, "schedule": { "frequency": "hourly", "timezone": "UTC", "hour": 20, "minute": 0, "day_of_week": 1, "window_minutes": 30 }, "retention_days": 1, "full_backup_interval_days": 1, "incremental_enabled": true, "storage_backend": "string", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "organization_name": "string", "workspace_name": "string", "vm_name": "string", "os_type": "string", "os_distro": "string", "template_id": "string", "next_run_at": "2024-01-15T09:30:00Z", "last_run_at": "2024-01-15T09:30:00Z", "last_status": "queued" } ``` **SDK Code** ```python import requests url = "https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at" querystring = {"workspace_id":"710995"} payload = { "next_run_at": "2024-01-15T09:30:00Z" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"next_run_at":"2024-01-15T09:30:00Z"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995" payload := strings.NewReader("{\n \"next_run_at\": \"2024-01-15T09:30:00Z\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"next_run_at\": \"2024-01-15T09:30:00Z\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"next_run_at\": \"2024-01-15T09:30:00Z\"\n}") .asString(); ``` ```php request('PATCH', 'https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995', [ 'body' => '{ "next_run_at": "2024-01-15T09:30:00Z" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"next_run_at\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["next_run_at": "2024-01-15T09:30:00Z"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/compute/gpu-vms/vm_id/backups/policy/next-run-at?workspace_id=710995")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```